- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionQ3ListView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 747 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionQ3ListView:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Q3ListView }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionQ3ListView ()
| QStyleOptionQ3ListView (const QStyleOptionQ3ListView &other)
## Public Attributes
QList< QStyleOptionQ3ListViewItem > | items
QPalette | viewportPalette
QPalette::ColorRole | viewportBGRole
int | sortColumn
int | itemMargin
int | treeStepSize
bool | rootIsDecorated
## Protected Member Functions
| QStyleOptionQ3ListView (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 750 of file qstyleoption.h.

    { Type = SO_Q3ListView };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 751 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionQ3ListView | ( |  | ) |

QStyleOptionQ3ListView | ( | const QStyleOptionQ3ListView & | other | ) | `[inline]`

Definition at line 762 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionQ3ListView | ( | int | version | ) | `[protected]`

## Member Data Documentation

QList<QStyleOptionQ3ListViewItem> items

Search for all occurrences

Definition at line 753 of file qstyleoption.h.

QPalette viewportPalette

Search for all occurrences

Definition at line 754 of file qstyleoption.h.

QPalette::ColorRole viewportBGRole

Search for all occurrences

Definition at line 755 of file qstyleoption.h.

int sortColumn

Search for all occurrences

Definition at line 756 of file qstyleoption.h.

int itemMargin

Search for all occurrences

Definition at line 757 of file qstyleoption.h.

int treeStepSize

Search for all occurrences

Definition at line 758 of file qstyleoption.h.

bool rootIsDecorated

Search for all occurrences

Definition at line 759 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView
QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView QStyleOptionQ3ListView